Package org.apache.cxf.buslifecycle

# Interface BusCreationListener

public interface BusCreationListener
The listener interface for receiving notification of when `Bus` objects are created. It's a simplified form of BusLifeCycleListener that takes the target Bus as a parameter which is appropriate if the listener needs to be a singleton that works with multiple Bus objects. A common pattern would be to register a full BusLifeCycleListener on the target Bus to receive full Bus events

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `busCreated(Bus b)`
  Invoked to create a BusLifeCycleListener.

- ## Method Details

  - ### busCreated

    void busCreated(Bus b)
    Invoked to create a BusLifeCycleListener.